FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000121FL52.2 Subprogram FLUC (CONV)public2013-07-27 22:482013-08-05 22:49
ReporterFalk Reichbott 
Assigned ToUlrich Schwab 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformSystem zOSz/OSOS VersionV1R13
Product Version 
Target Version0.08Fixed in Version0.08 
Summary0000121: Set _ICONV_MODE and _ICONV_TECHNIQUE over FLCL configuration file on z/OS
DescriptionIm CHR.c beim Open im #ifdef __HOST __ beim setzten der Umgebungsvariablen für den ICONV erst prüfen ob FL_ICONV_MODE als Umgebungsvariable gesetzt ist und dann diesen _ICONV_MODE auf den gesetzten Wert unter FL_ICONV_MODE setzten. Wenn FL_ICONV_MODE nicht gesetzt ist, dann nehmen wir unseren bisherigen Default.

Gleiches analog für (FL)_ICONV_TECHNIQUE.

Bitte im Handbuch die beiden Umgebungsvariablen ergänzen, da gibt es am Anfang schon einen Abschnitt dazu, wo wir noch ergänzen können, dass diese über die envars über die Config jetzt auch gesteuert werden können.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000048)
Falk Reichbott (administrator)
2013-08-05 22:49

Use Environment variables FL_ICONV_MODE/TECHNIQUE (from FLCL config file) to define _ICONV_MODE/TECHNIQUE. If FI_ICONV_xxx not set the Defaults "U"/"L" are used.

- Issue History
Date Modified Username Field Change
2013-07-27 22:48 Falk Reichbott New Issue
2013-07-27 22:48 Falk Reichbott Status new => assigned
2013-07-27 22:48 Falk Reichbott Assigned To => Ulrich Schwab
2013-07-29 22:36 Falk Reichbott Summary Set _ICONV_MODE and )_ICONV_TECHNIQUE over FLCL configuration file on z/OS => Set _ICONV_MODE and _ICONV_TECHNIQUE over FLCL configuration file on z/OS
2013-08-05 22:49 Falk Reichbott Note Added: 0000048
2013-08-05 22:49 Falk Reichbott Status assigned => resolved
2013-08-05 22:49 Falk Reichbott Fixed in Version => 0.08
2013-08-05 22:49 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker